version: '3.8'

services:
  db:
    image: mariadb
    container_name: {{ service_cfg.name }}_db
    restart: unless-stopped
    environment:
      - MYSQL_ROOT_PASSWORD={{ service_cfg.db.root_password }}
      - MYSQL_DATABASE={{ service_cfg.db.name }}
      - MYSQL_USER={{ service_cfg.db.username }}
      - MYSQL_PASSWORD={{ service_cfg.db.password }}
    volumes:
      - "{{ service_cfg.directory }}/db:/var/lib/mysql:rw"
    labels:
      - "com.centurylinklabs.watchtower.enable=true"

  etherpad:
    image: etherpad/etherpad:latest
    container_name: {{ service_cfg.name }}_etherpad
    restart: unless-stopped
    environment:
      - ADMIN_USER={{ service_cfg.user }}
      - ADMIN_PASSWORD={{ service_cfg.password }}
      - DB_HOST={{ service_cfg.name }}_db
      - DB_NAME={{ service_cfg.db.name }}
      - DB_USER={{ service_cfg.db.username }}
      - DB_PASS={{ service_cfg.db.password }}
      - DB_TYPE=mysql
      - DB_CHARSET=utf8mb4
      - PAD_OPTIONS_LANG={{ service_cfg.lang }}
      - PAD_OPTIONS_USE_MONOSPACE_FONT=false
    depends_on:
      - db
    labels: *base_labels
    networks: *base_networks
